<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <OutputType>Library</OutputType>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <DocumentationFile>bin\Debug\SuperWebSocket.XML</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <DocumentationFile>bin\Release\SuperWebSocket.XML</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>superwebsocket.snk</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net">
      <HintPath>DLL\log4net.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="DLL\" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="DnsClient" Version="1.7.0" />
    <PackageReference Include="MongoDB.Bson" Version="2.18.0" />
    <PackageReference Include="MongoDB.Driver" Version="2.18.0" />
    <PackageReference Include="MongoDB.Driver.Core" Version="2.18.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
    <PackageReference Include="NLog" Version="5.1.1" />
    <PackageReference Include="System.Buffers" Version="4.5.1" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="GlobalAssemblyInfo.cs" />
  </ItemGroup>
</Project>